require_relative 'die'
require_relative 'player'
require_relative 'treasure_trove'
require_relative 'loaded_die'

module StudioGame
  module GameTurn

    def self.take_turn(player)
      die = Die.new
      number_rolled = die.roll
      case number_rolled
      when 5..6
        player.w00t
      when 1..2
        player.blam
      else
        puts "#{player.name} was skipped."
      end
      treasure = TreasureTrove.random
      player.found_treasure(treasure)
    end
  end
end

if __FILE__ == $0
  player = Player.new("larry", 60)
  GameTurn.take_turn(player)
end
